%global momorel 4

Summary: Library for client-server games
Name: libggz
Version: 0.0.14.1
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Libraries
URL: http://www.ggzgamingzone.org/
Source: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgcrypt-devel
## tls support: openssl (l)gpl compat?  not sure, use gnutls for now -- Rex 
#BuildRequires: openssl-devel
BuildRequires: gnutls-devel >= 2.4.1

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q

%build
%configure \
  --disable-debug \
  --disable-static \
  --with-gcrypt \
  --with-tls=GnuTLS

make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libggz.so.*

%files devel
%{_includedir}/ggz*.h
%{_libdir}/libggz.so
%{_mandir}/man3/ggz*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14.1-4m)
- rebuild against rpm-4.6

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14.1-3m)
- rebuild against gnutls-2.4.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.14.1-2m)
- rebuild against gcc43

* Sat Mar 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14.1-1m)
- update to 0.0.14.1

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14-1m)
- import from Fedora devel

* Thu Sep 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-2
- cleanup

* Wed Sep  5 2007 Dries Verachtert <dries@ulyssis.org> - 0.0.14-1
- Updated to release 0.0.14.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1.2
- Rebuild for Fedora Core 5.

* Sat Dec 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1
- Initial package.
